<?php
session_start();

// include all stuff
include_once "include/global.php";
include_once "include/sql.php";
include_once "include/auth.php";
include_once "include/functions_www.php";
include_once "include/functions_display.php";
include_once "include/rss.php";
include_once "include/html.php";
include_once "include/menu.php";
include_once "include/footer.php";
include_once "include/connection.php";
include_once "include/home.php";
include_once "include/news.php";
include_once "include/videos.php";
include_once "include/members.php";
include_once "include/contacts.php";
include_once "include/dailymotion.php";
include_once "include/admin_home.php";

// initinialize db connections
sql_init();

// initialize auth system
auth_init();

// Video download
if ($_GET['video'])
  return getVideo();

// Dailymotion playback
if ($_GET['dailymotion'])
  return getDailymotion();

// Get an rss stream
if ($_GET['rss'])
  return getRss();

// Display section
getHtml();
?>

